View Issue Details

IDProjectCategoryView StatusLast Update
0001607OpenMPTGeneralpublic2022-07-09 07:24
Reportermanx Assigned Tomanx  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionOpenMPT 1.31.00.* (current testing) 
Target VersionOpenMPT 1.31 / libopenmpt 0.7 (goals)Fixed in VersionOpenMPT 1.31 / libopenmpt 0.7 (goals) 
Summary0001607: mpt/io_file split
Description

Split out mptFileIO into mpt/io_file.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

related to 0001340 newmanx Require C++17 std::filesystem 

Activities

manx

manx

2022-06-25 17:21

administrator   ~0005228

file-io-v4.patch (440,945 bytes)
manx

manx

2022-06-26 09:01

administrator   ~0005229

file-io-v5.patch (441,821 bytes)
manx

manx

2022-07-03 12:59

administrator   ~0005242

file-io-v6.patch (443,085 bytes)
manx

manx

2022-07-09 07:24

administrator   ~0005249

r17649

Issue History

Date Modified Username Field Change
2022-06-25 17:20 manx New Issue
2022-06-25 17:20 manx Status new => assigned
2022-06-25 17:20 manx Assigned To => manx
2022-06-25 17:20 manx Relationship added related to 0001340
2022-06-25 17:21 manx Status assigned => confirmed
2022-06-25 17:21 manx Note Added: 0005228
2022-06-25 17:21 manx File Added: file-io-v4.patch
2022-06-26 09:01 manx Note Added: 0005229
2022-06-26 09:01 manx File Added: file-io-v5.patch
2022-07-03 12:59 manx Note Added: 0005242
2022-07-03 12:59 manx File Added: file-io-v6.patch
2022-07-09 07:24 manx Status confirmed => resolved
2022-07-09 07:24 manx Resolution open => fixed
2022-07-09 07:24 manx Fixed in Version => OpenMPT 1.31 / libopenmpt 0.7 (goals)
2022-07-09 07:24 manx Note Added: 0005249